---
title: TimeRanges.start()
slug: Web/API/TimeRanges/start
tags:
  - API
  - HTML DOM
  - Media
  - Method
  - NeedsBrowserCompatibility
  - Reference
  - TimeRanges
---
<p>{{APIRef("DOM")}}</p>

<p>{{gecko_minversion_header("2.0")}}</p>

<p>Returns the time offset at which a specified time range begins.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>startTime</em> = TimeRanges.start(index)
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>index</code> is the range number to return the starting time for.</li>
</ul>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt>INDEX_SIZE_ERR</dt>
 <dd>A <code>DOMException</code> thrown if the specified index doesn't correspond to an existing range.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>Given a video element with the ID "myVideo":</p>

<pre class="brush: js">var v = document.getElementById("myVideo");

var buf = v.buffered;

var numRanges = buf.length;

if (buf.length == 1) {
  // only one range
  if (buf.start(0) == 0 &amp;&amp; buf.end(0) == v.duration) {
    // The one range starts at the beginning and ends at
    // the end of the video, so the whole thing is loaded
  }
}
</pre>

<p>This example looks at the time ranges and looks to see if the entire video has been loaded.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("HTML WHATWG", "#dom-timeranges-start", "TimeRanges.start()")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TimeRanges.start")}}</p>
